Page MenuHomePhabricator

Cannot edit Maniphest task dependencies; "Loading..." shown forever
Closed, ResolvedPublic

Description

STEPS:

  1. Go to http://fab.wmflabs.org/T59
  2. Click "Edit Dependencies"
  3. See "Loading..." forever

RESULT:
Impossible to edit dependencies (tried with Firefox 29 and Chrome 34).
This blocks planning the Phabricator work for me.

Wondering if this is related / a dependency of ElasticSearch not working in general, see T159.

Details

Reference
fl347

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:37 AM
flimport set Reference to fl347.

qgil wrote on 2014-05-21 21:45:06 (UTC)

WORKSFORME

http://fab.wmflabs.org/T59#29

aklapper wrote on 2014-05-22 14:52:39 (UTC)

Works for me again now, too.

mmodell wrote on 2014-07-22 11:45:18 (UTC)

this is broken again, any idea what caused this before, and more importantly, what was the solution?

qgil wrote on 2014-07-22 12:07:19 (UTC)

I can't recall, but maybe some hard drive getting full somewhere in Labs?

qgil wrote on 2014-07-22 12:10:55 (UTC)

That was a test. ^^^^

Maybe you see the "Loading" because you want to append a task not assigned to you, while the dropdown menu in the left is set to "Assigned to you"?

aklapper wrote on 2014-07-22 12:24:36 (UTC)

Our downstream instance shows "Loading" forever. This does not happen in upstream.

It's confusing if you don't realize that you need to change the value of the dropdown (filtered view) because you think that Phab is still searching.

mmodell wrote on 2014-07-22 13:37:56 (UTC)

For me it shows loading... whenever I select "assigned to you" ... and if you look at the ajax call's returned value it shows an elasticsearch query parse error

demon wrote on 2014-07-22 14:35:06 (UTC)

In T347#18, @mmodell wrote:

For me it shows loading... whenever I select "assigned to you" ... and if you look at the ajax call's returned value it shows an elasticsearch query parse error

What's the exact error? There's been several ES fixes upstream recently. Does this instance have all of them?

Nemo_bis wrote on 2014-07-22 15:11:40 (UTC)

When this happens, I'm usually able to extract the results I want if I search them in a different way.

aklapper wrote on 2014-08-12 18:14:39 (UTC)

Problem has magically vanished for me (FF31), haven't seen this lately.

@mmodell: Does this still happen for you? Any more info to provide for that "elasticsearch query parse error"?
(I guess I'd need to dive deeper into learning about my browser's developer tools to capture that myself?)

qgil wrote on 2014-08-18 21:19:35 (UTC)

This works and T159 works. I bet they are related. Resolving here.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:37 AM